package com.xf1024.common.base.model;

import java.io.Serializable;
import java.util.List;

public class PagingModel implements Serializable {

    // 当前页码
    private int pageNo = 1;
    // 每行显示数据条数
    private int pageSize = 10;
    // 总页数
    private int pageCount;
    // 数据记录数
    private long dataCount;
    // 当页的数据对象
    private List<?> data;
    // 起始位置
    private int offset;

    public PagingModel() {

    }

    public PagingModel(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
        this.offset = (pageNo - 1) * pageSize;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
        this.offset = (pageNo - 1) * pageSize;
    }

    public long getDataCount() {
        return dataCount;
    }

    public void setDataCount(long dataCount) {
        this.dataCount = dataCount;
        // 计算页数
        this.pageCount = (int) ((dataCount + pageSize - 1) / pageSize);
    }

    public List<?> getData() {
        return data;
    }

    public void setData(List<?> data) {
        this.data = data;
    }

    public int getOffset() {

        return offset;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }

    public int getPageCount() {
        return pageCount;
    }

    public void setPageCount(int pageCount) {
        this.pageCount = pageCount;
    }
}
